%% File: logt red
%% Date: May 5, 1989
%% Type: Nilpotent - basis of subalgebra type

%% This program tests the logarithm

%% Requirements:
%% mgv - the dimension
%% expga(mgv) - the entries of exp(u_1X_1+...+u_mX_m)
%% logga(mgv) - the entries of log(x_1,...,x_m)

%% Results:
%% logtgv - 0 if and only of test is OK

%% Global variables:
%% mgv,logtgv

%% Global arrays:
%% expga(mgv), logga(mgv);

%% Local variables:
%% jlv,clv,ulv,testlv

%% Local arrays:
%% lhsla(mgv)

   Array lhsla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=expga(jlv);
      For ulv:=1:mgv do clv:=sub(u(ulv)=logga(ulv),clv);
      lhsla(jlv):=clv;
   End;

   testlv:=0;
   For jlv:=1:mgv do
   if lhsla(jlv) neq x(jlv) then testlv:=testlv+1;
   logtgv:=testlv;

;end;





