%% File: drregss.red
%% Date: April 3, 1990
%% Type: Solvable - basis of subalgebra type?
%% Status: *

%% This program computes the right regular representation

%% Requirements:
%% mgv - the dimension
%% pga(mgv,mgv) - the entries of xy=(x_1,...,xM-)(y_1,...,y_m)

%% Results:
%% drregga(mgv) - the right regular representation

%% Global variables:
%% mgv

%% Global arrays:
%% pga(mgv),dregga(mgv)

%% Global operators:
%% doxgo(.)

%% Local variables:
%% klv,jlv,clc,ulv

%% Local arrays:
%% pla(mgv,mgv)

   Array drregga(mgv);
   For klv:=1:mgv do
   Begin
      write "Nu beregnes dr(",klv,")";
      Array pla(mgv);
      For jlv:=1:mgv do
      Begin
         clv:=pga(jlv);
         clv:=sub(y(klv)=t,clv);
         For ulv:=1:mgv do clv:=sub(y(ulv)=0,clv);
         pla(jlv):=clv;
      End;
      drregga(klv):=
       For jlv:=1:mgv sum sub(t=0,df(pla(jlv),t))*ddx(jlv);
      showtime;
   End;

;end;








