%% File: innerss.red
%% Date: May 10, 1990
%% Type: Solvable - basis of subalgebra type
%% Status: ***

%% This program computes the inner automorphisms

%% Requirements:
%% mgv - the dimension
%% pga(mgv) - the entries of (x_1,...,x_m)(y_1,...,y_m)
%% iga(mgv) - the entries of the inverse (x_1,...,x_m)^&-1&

%% Results:
%% innerga(mgv) - the inner automorphisms

%% Global variables:
%% mgv

%% Global arrays:
%% pga(mgv),innerga(mgv)

%% Local variables:
%% jlv,ulv,clv

%% Local operators:
%% xlo(.), ylo(.)

   Array innerga(mgv);
   For jlv:=1:mgv do
   Begin
      write "Nu beregnes inner(",jlv,")";
      clv:=pga(jlv);
      For ulv:=1:mgv do
       clv:=sub(x(ulv)=xlo(ulv),y(ulv)=ylo(ulv),clv);
      For ulv:=1:mgv do
       clv:=sub(xlo(ulv)=pga(ulv),ylo(ulv)=iga(ulv),clv);
      innerga(jlv):=clv;
      Showtime;
   End;

;end;








