%% File: noncomx.red
%% Date: May 9, 1989
%% Type: Lie algebra - general
%% Status: **

%% This program declares the noncommutative
%% variables x(1),...,x(m) subject to the Lie
%% algebra relations given by the array c(m,m,m)

%% Requirements:
%% The dimension mgv
%% The array c(mgv,mgv,mgv)

%% Results:
%% The operator x(1),...,x(m)

   noncom x;

   For ulv:=1:mgv do for vlv:=1:ulv-1 do
    Let x(ulv)*x(vlv)=x(vlv)*x(ulv)
     +for jlv:=1:mgv sum c(ulv,vlv,jlv)*x(jlv);

;end;






