%% File: strchange.red
%% Type: Lie algebra - general
%% Date: June 16, 1990
%% Status: *

%% This program computes the new structure constants from old ones

%% Requirements:
%% The dimension mgv
%% The structureconstants c(mgv,mgv,mgv)
%% The matrix bgm(mgv,mgv) expressing the new bases in terms of
%%  the old: xhat(k):=sum bgm(j,k)x(j)

%% Results:
%% The new structure constants cnewga(mgv,mgv,mgv)

   in "$HOME/REDUCE/LIE/CODE/GENERAL/noncomx.red";

   Matrix alm(mgv,mgv);
   alm:=bgm**(-1);

   For jlv:=1:mgv do
    xhat(jlv):=for klv:=1:mgv sum bgm(klv,jlv)*x(klv);

   For jlv:=1:mgv do for klv:=1:mgv do
    Nycom(jlv,klv):=
     xhat(jlv)*xhat(klv)-xhat(klv)*xhat(jlv);

   For jlv:=1:mgv do clear xhat(jlv);

   For jlv:=1:mgv do 
    x(jlv):=for klv:=1:mgv sum alm(klv,jlv)*xhat(klv);

   Array cnewga(mgv,mgv,mgv);
   For ilv:=1:mgv do for jlv:=1:mgv do for klv:=1:mgv do
    cnewga(ilv,jlv,klv):=df(Nycom(ilv,jlv),xhat(klv));

;end;






