out "garbage";
%% File: sympol red
%% Date: May 9, 1989
%% Type: General
%% Status: **

%% This program symmetrizes the polynomial pol
%% given in the variables y(1),...,y(m))
%% by substituting the noncommutative variables
%% xncgo(1),...,xncgo(m)

%% Requirements:
%% The number af variables mgv
%% The polynomial polgv
%% The operator xncgo(1),...,xncgo(mgv)

%% Results:
%% The noncommutative polynomial sympolgv

%% Global variables:
%% mgv, polgv, sympolgv

%% Global operators:
%% y(.), xncgo(.)

%% Local variables:
%% anclv, bnclv, faclv, countlv, ulv

   anclv:=polgv;
   bnclv:=polgv;

   faclv:=1;
   countlv:=0;

   While anclv neq 0 do
   Begin
      anclv:=for ulv:=1:mgv sum df(anclv,y(ulv))*xncgo(ulv);
      countlv:=countlv+1;
      faclv:=faclv*countlv;
      bnclv:=bnclv+anclv/faclv;
   End;

   For ulv:=1:mgv do  bnclv:=sub(y(ulv)=0,bnclv);
   sympolgv:=bnclv;

shut "garbage";
;end;











