%% File: innert.red
%% Date: May 5, 1989
%% Type: Nilpotent - basis of subalgebra type
%% Status: **

%% This program tests the inner automorphisms

%% Requirements:
%% mgv - the dimension
%% pga(mgv) - the entries of xy=(x_1,...,x_m)(y_1,...,y_m)
%% innerga(mgv) - the entries of xyx^{-1}

%% Results:
%% innertgv - 0 if and only if test is OK

%% Global variables:
%% mgv,innertgv

%% Global arrays:
%% pga(mgv), iga(mgv), innerga(mgv);

%% Local variables:
%% jlv,clv,ulv,testlv

%% Local arrays:
%% lhsla(mgv,mgv)

%% Local operators:
%% xlo(.),ylo(.)

   Array lhsla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pga(jlv);
      For ulv:=1:mgv do
       clv:=sub(x(ulv)=xlo(ulv),y(ulv)=ylo(ulv),clv);
      For ulv:=1:mgv do
      clv:=sub(xlo(ulv)=innerga(ulv),ylo(ulv)=x(ulv),clv);
      lhsla(jlv):=clv;
   End;

   testlv:=0;
   For jlv:=1:mgv do
   if lhsla(jlv) neq pga(jlv) then testlv:=testlv+1;
   innertgv:=testlv;

;end;
