%% File: invt red
%% Date: May 5, 1989
%% Type: Nilpotent - basis of subalgebra type
%% Status: **

%% This program tests the inverse

%% Requirements:
%% mgv - the dimension
%% pga(mgv) - the entries of xy=(x_1,...,x_m)(y_1,...,y_m)
%% iga(mgv) - the entries of x^{-1}=(x_1,...,x_m)^{-1}

%% Results:
%% invtgv - 0 if and only of test is OK

%% Global variables:
%% mgv,invtgv

%% Global arrays:
%% pga(mgv), iga(mgv);

%% Local variables:
%% jlv,clv,ulv,testlv

%% Local arrays:
%% pla(mgv),lhsla(mgv)

%% Local operators:
%% xlo(.),ylo(.)

   Array pla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pga(jlv);
      For ulv:=1:mgv do
       clv:=sub(x(ulv)=xlo(ulv),y(ulv)=ylo(ulv),clv);
      pla(jlv):=clv;
   End;

   Array lhsla(mgv);
   For jlv:=1:mgv do
   Begin
      clv:=pla(jlv);
      For ulv:=1:mgv do
       clv:=sub(xlo(ulv)=x(ulv),ylo(ulv)=iga(ulv),clv);
      lhsla(jlv):=clv;
   End;

   testlv:=0;
   For jlv:=1:mgv do
    if lhsla(jlv) neq 0 then testlv:=testlv+1;
   invtgv:=testlv;

;end;





